A new security update has been released for Adobe's Flash Player, but this time the company is providing additional hardening for a critical vulnerability that was mitigated in the Oct. 14, 2014 release.

Adobe recommends that users update its software to the latest iteration – versions 15.0.0.239 for Windows and Mactintosh users of the Flash Player desktop runtime, 13.0.0.258 for those that use the Adobe Flash Player Extended Support Release, and version 11.2.202.424 for Linux users – according to a recent security bulletin.

The vulnerability, CVE-2014-8439, was given a priority rating of “2,” which indicates that there are currently no known exploits, but users are urged to install the latest updates within the next 30 days.

According to the bulletin, the update provides “additional hardening against” against the bug “of a deferenced memory pointer that could lead to code execution.”